package com.railway.business.baseinfo.service;

import com.railway.business.baseinfo.domain.BasePreventTree;
import java.util.List;
/**
* 九防台账-防树
* @author wuhonghao
* @date 2021/11/13
*/
public interface IBasePreventTreeService{

    /**
    * 新增
    */
    int create(BasePreventTree basePreventTree);

    /**
    * 删除
    */
    int delete(String[] ids);

    /**
    * 更新
    */
    int update(BasePreventTree basePreventTree);

    /**
    * 获取单个
    */
    BasePreventTree getInfo(String id);

    /**
    * 查询列表
    */
    List<BasePreventTree> getList(BasePreventTree basePreventTree);

}
